HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Returns interface details for the given serial or stack id.

This API returns a list of interfaces for the specified serial number or stack id. Conductor serial may also be used instead of a stack id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Serial Number of the switch in case of standalone, StackId or conductor serial in case of stack for which the device related information is requested.

Query Params
int32
0 to 1000
Defaults to 1000

Denotes the number of interfaces that needs to be fetched. Fetches all by default.

int32
Defaults to 0

Denotes the offset from where the interfaces need to be fetched or the number of interfaces to skip.

string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
nameeq and in
speedeq and in
statuseq and in
connectoreq and in
duplexeq and in
lageq and in
vlanmodeeq and in
neighbourFamilyeq and in
neighbourFunctioneq and in
poeClasseq and in
poeStatuseq and in
operStatuseq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

Partial or full string free text search.

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.

Supported fields are port, speed, neighbour, neighbourFamily, nativeVlan, neighbourRole, alias, connector, lag, vlanMode, poeClass, ipv4 and mtu. Default sort by name.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json